> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/sdks/go-sdk/v2/changelog.md).

# Changelog

### Release Notes

#### v2.2.0 — 11.08.2026

* Updated hardware key selection to use an explicitly configured serial number.
* Added a function to list connected hardware key serial numbers.
* Deprecated `WithHWKeySerialAsHWID()` in favor of `WithHardwareKeySerial(serial string)`.
* Added activation date to license data.
* Added support for unlimited max overages.
* Changed request header timestamps to UTC.

#### v2.1.3 — 09.07.2026

* Fixed a bug in the installation file response.

#### v2.1.2 — 18.06.2026

* Added an option to customize the log file path.
* Enhanced smart card detection.

#### v2.1.1 — 16.04.2026

* Made minor improvements and fixes.

#### v2.1.0 — 05.03.2026

* Added hardware key support.
* Added bundle support.

#### v2.0.1 — 12.05.2025

* Fixed minor bugs.

#### v2.0.0 — 01.05.2025

A major release that introduces breaking changes and significant new functionality.

Please refer to [Breaking Changes](/sdks/go-sdk/v2/breaking-changes.md) for a detailed list of changes, migration instructions, and new features.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.licensespring.com/sdks/go-sdk/v2/changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
